excelExporter.excelParser.dataModel

## Enum Cluster.PseudoFieldName

- java.lang.Object
- - java.lang.Enum<Cluster.PseudoFieldName>
  - - excelExporter.excelParser.dataModel.Cluster.PseudoFieldName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Cluster.PseudoFieldName>
  Enclosing class:
    Cluster

      public static enum Cluster.PseudoFieldName
      extends java.lang.Enum<Cluster.PseudoFieldName>

  This is the list of pseudo-fields of class `Cluster` that can be accessed from a StringTemplate V4 template. The enumerated fields can be accessed like ordinary public fields from a StringTemplate V4 template. The dot notation is used to do so. Taking the first named value `theOnlyWorkbook` as an example, one would write `<cluster.theOnlyWorkbook>` to access the related pseudo-field.

  A short explanation of each pseudo-field and a reference to more in-depth information can be found as description of each named value of the enumeration.

  Please note, that the pseudo-fields of the base class `ObjectMap` are inherited and can be accessed, too. See `ObjectMap.PseudoFieldName`.

  A detailed discussion of pseudo-fields and the enumeration of these can be found in the class description of `ObjectMap`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bookAry` The list of all parsed workbooks.
    `noBooks` The number of parsed workbooks in the cluster.
    `noSheetGroups` The number `Cluster.getNoSheetGroups()` of named worksheet groups in `Cluster.sheetGroupMap`.
    `noSheets` The total number `Cluster.noSheets` of parsed worksheets.
    `sheetGroupMap` The parsed worksheets can be kept in global groups of those (and regardless of their relationship to workbooks).
    `theOnlyWorkbook` The only parsed workbook `Cluster.theOnlyWorkbook`, if unambiguously possible.
    `theOnlyWorksheet` The only parsed worksheet `Cluster.theOnlyWorksheet`, if unambiguously possible.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cluster.PseudoFieldName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Cluster.PseudoFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### theOnlyWorkbook

          public static final Cluster.PseudoFieldName theOnlyWorkbook

      The only parsed workbook `Cluster.theOnlyWorkbook`, if unambiguously possible.

      From a StringTemplate V4 template it would be accessed with an expression like `<cluster.theOnlyWorkbook>`.

    - #### theOnlyWorksheet

          public static final Cluster.PseudoFieldName theOnlyWorksheet

      The only parsed worksheet `Cluster.theOnlyWorksheet`, if unambiguously possible.

      From a StringTemplate V4 template it would be accessed with an expression like `<cluster.theOnlyWorksheet>`.

    - #### bookAry

          public static final Cluster.PseudoFieldName bookAry

      The list of all parsed workbooks. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.itemAry` of the base class.

      From a StringTemplate V4 template the list would be accessed with an expression like `<cluster.bookAry>`.

    - #### noBooks

          public static final Cluster.PseudoFieldName noBooks

      The number of parsed workbooks in the cluster. This pseudo-field is an alias to access the pseudo-field `ObjectMap.PseudoFieldName.noItems`.

      The number of books relates to both collections, `ObjectMap.itemAry` and `ObjectMap.itemMap`.

      From a StringTemplate V4 template the number would be accessed with an expression like `<cluster.noBooks>`.

    - #### sheetGroupMap

          public static final Cluster.PseudoFieldName sheetGroupMap

      The parsed worksheets can be kept in global groups of those (and regardless of their relationship to workbooks). Here's the map `Cluster.sheetGroupMap` of these groups and lookup is done by the name of the group.

      From a StringTemplate V4 template the map of groups would be accessed with an expression like `<cluster.sheetGroupMap>`.

    - #### noSheetGroups

          public static final Cluster.PseudoFieldName noSheetGroups

      The number `Cluster.getNoSheetGroups()` of named worksheet groups in `Cluster.sheetGroupMap`.

      From a StringTemplate V4 template the number of groups would be accessed with an expression like `<cluster.noSheetGroups>`.

    - #### noSheets

          public static final Cluster.PseudoFieldName noSheets

      The total number `Cluster.noSheets` of parsed worksheets.

      From a StringTemplate V4 template the number of sheets would be accessed with an expression like `<cluster.noSheets>`.

  - ### Method Detail

    - #### values

          public static Cluster.PseudoFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Cluster.PseudoFieldName c : Cluster.PseudoFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Cluster.PseudoFieldName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null